package com.cool.store.request;

import com.cool.store.entity.LeaseBaseInfoDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class TrainingExperienceDistributionRequest {

    @ApiModelProperty("线索信息表-线索id")
    private Long lineId;
    @ApiModelProperty("用户信息表partnerId")
    private String partnerId;
    @ApiModelProperty("体验门店id")
    @NotNull(message = "门店id为空")
    private String storeId;
    @ApiModelProperty("门店名")
    @NotNull(message = "门店名为空")
    private String storeName;
    @ApiModelProperty("开始体验时间")
    private Date experienceStartTime;
    @ApiModelProperty("结束体验时间")
    private Date experienceEndTime;


    public LeaseBaseInfoDO toLeaseBaseInfoDO() {
        LeaseBaseInfoDO leaseBaseInfoDO = new LeaseBaseInfoDO();
        leaseBaseInfoDO.setLineId(this.lineId);
        leaseBaseInfoDO.setStoreName(this.storeName);
        leaseBaseInfoDO.setStoreId(this.storeId);
        leaseBaseInfoDO.setExperienceStartTime(this.experienceStartTime);
        leaseBaseInfoDO.setExperienceEndTime(this.experienceEndTime);
        leaseBaseInfoDO.setPartnerId(this.partnerId);
        return leaseBaseInfoDO;
    }
}
